<html>
<head>
    <link href="./styles/index.css" rel="stylesheet" />
    <link href="./styles/tools.css" rel="stylesheet" />
    <title>Lab 1</title>
</head>
<body onload="init()">
<main>
    <canvas id="main-canvas" width="1000" height="700"></canvas>
    <div class="tools">
        <div>
            <label>Размер</label>
            <input type="range" min="0.1" max="3" step="0.1" value="1" id="scaleRange" />
        </div>
        <div>
            <label>Смещение X</label>
            <input type="range" min="-1" max="1" step="0.1" value="0" id="offsetX" />
        </div>
        <div>
            <label>Смещение Y</label>
            <input type="range" min="-1" max="1" step="0.1" value="0" id="offsetY" />
        </div>
        <div>
            <label>Поворот</label>
            <input type="range" min="-180" max="180" step="3" value="0" id="angle" />
        </div>
        <div>
            <label>Цвет</label>
            <input type="color" id="color" />
        </div>
    </div>
</main>
<script src="./main.js"></script>
<script src="./tools.js"></script>
<script id="fragmentShader" type="x-shader/x-fragment" src="./shaders/fragment-shader.glsl">
</script>
<script src="./utils/load-shaders.js" type="text/javascript"></script>
<script src="./utils/init-shader.js" type="text/javascript"></script>
<script src="./utils/color.js" type="text/javascript"></script>
<script src="./utils/canvas.js" type="text/javascript"></script>
<script src="./models/Triangle.js" type="text/javascript"></script>
<script id="vertexShader" type="x-shader/x-vertex" src="./shaders/vertex-shader.glsl"></script>
</body>
<script src="https://webglfundamentals.org/webgl/resources/webgl-utils.js"></script>
</html>
